hw_api->checkout
hw_api_content->mimetype
Hyperwave API Functions
PHP Manual

# hw_api->children

(PHP 4, PHP 5 < 5.2.0, PECL hwapi SVN)

hw_api->children — Returns children of an object

### Description

hw_api
array children ( array `$parameter` )

Retrieves the children of a collection or the attributes of a document. The children can be further filtered by specifying an object query.

### Parameters

`parameter`

  The parameter array contains the required elements 'objectIdentifier' and the optional elements 'attributeSelector' and 'objectQuery'.

### Return Values

The return value is an array of objects of type HW_API_Object or HW_API_Error.

### See Also

- hw_api->parents

hw_api->checkout
hw_api_content->mimetype
Hyperwave API Functions
PHP Manual